Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MetaMethodIndex

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

-     public class MetaMethodIndex
      extends Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `MetaMethodIndex.CacheEntry` |
    `static class` | `MetaMethodIndex.Entry` |
    `interface` | `MetaMethodIndex.EntryIterator` |
    `static class` | `MetaMethodIndex.Header` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `DEFAULT_CAPACITY` |
    `protected static int` | `MAXIMUM_CAPACITY` |
    `protected static int` | `MINIMUM_CAPACITY` |
    `SingleKeyHashMap` | `methodHeaders` |
    `protected int` | `size` |
    `protected Map.Entry[]` | `table` |
    `protected int` | `threshold` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaMethodIndex (CachedClass theCachedClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `addMethodToList(Object o, MetaMethod method)`
    `` | `void` | `clear()`
    `` | `void` | `clearCaches()`
    `` | `void` | `clearCaches(String name)`
    `` | `void` | `copy(Class c, MetaMethodIndex.Header index)`
    `` | `void` | `copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
    `` | `void` | `copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
    `` | `void` | `copyMethodsToSuper()`
    `` | `void` | `copyNonPrivateMethods(Class from, Class to)`
    `` | `void` | `copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
    `` | `void` | `copyNonPrivateMethodsDown(Class from, Class to)`
    `` | `void` | `copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)`
    `` | `void` | `copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
    `` | `MetaMethodIndex.EntryIterator` | `getEntrySetIterator()`
    `` | `MetaMethodIndex.Header` | `getHeader(Class cls)`
    `` | `Map.Entry` | `getMethods(Class cls, String name)`
    `` | `Map.Entry` | `getOrPutMethods(String name, MetaMethodIndex.Header header)`
    `` | `Map.Entry[]` | `getTable()`
    `` | `boolean` | `hasNext()`
    `` | `static int` | `hash(int h)`
    `` | `void` | `init(int initCapacity)`
    `` | `boolean` | `isEmpty()`
    `` | `Map.Entry` | `next()`
    `` | `void` | `resize(int newLength)`
    `` | `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final int DEFAULT_CAPACITY

    - #### protected static final int MAXIMUM_CAPACITY

    - #### protected static final int MINIMUM_CAPACITY

    - #### public SingleKeyHashMap methodHeaders

    - #### protected int size

    - #### protected Map.Entry[] table

    - #### protected int threshold

  - ### Constructor Detail

    - #### public MetaMethodIndex(CachedClass theCachedClass)

  - ### Method Detail

    - #### public Object addMethodToList(Object o, MetaMethod method)

    - #### public void clear()

    - #### public void clearCaches()

    - #### public void clearCaches(String name)

    - #### public void copy(Class c, MetaMethodIndex.Header index)

    - #### public void copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

    - #### public void copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

    - #### public void copyMethodsToSuper()

    - #### public void copyNonPrivateMethods(Class from, Class to)

    - #### public void copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

    - #### public void copyNonPrivateMethodsDown(Class from, Class to)

    - #### public void copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)

    - #### public void copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

    - #### public MetaMethodIndex.EntryIterator getEntrySetIterator()

    - #### public MetaMethodIndex.Header getHeader(Class cls)

    - #### public final Map.Entry getMethods(Class cls, String name)

    - #### public Map.Entry getOrPutMethods(String name, MetaMethodIndex.Header header)

    - #### public Map.Entry[] getTable()

    - #### public boolean hasNext()

    - #### public static int hash(int h)

    - #### public void init(int initCapacity)

    - #### public boolean isEmpty()

    - #### public Map.Entry next()

    - #### public void resize(int newLength)

    - #### public int size()